<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace HANAModule\Lib;


use itnovum\openITCOCKPIT\Core\Wizards\ModuleWizardsInterface;

class Wizards implements ModuleWizardsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWizards() {
        if (!(isset($this->ACL_PERMISSIONS['hosts']['add']) && isset($this->ACL_PERMISSIONS['services']['add']))) {
            return [];
        }
        $wizards = [
            'sap-hana-system' => [
                'type_id'                 => 'sap-hana-system',
                'uuid'                    => '27e11677-d778-4cdc-bdbc-e0dc298d0218',
                'title'                   => __('SAP HANA (System)'),
                'description'             => __('Monitoring for your SAP Hana System Database'),
                'image'                   => 'SAP-Logo.svg',
                'directive'               => 'sap-hana-system', //AngularJS directive
                'state'                   => 'WizardsSapHana',
                'category'                => ['sap', 'linux', 'database'],
                'selected_os'             => null,
                'necessity_of_assignment' => true
            ],
            'sap-hana-tenant' => [
                'type_id'                 => 'sap-hana-tenant',
                'uuid'                    => '613e30a3-bd39-4619-aa5c-1185bd2a8036',
                'title'                   => __('SAP HANA (Tenant)'),
                'description'             => __('Monitoring for your SAP Hana Tenant Database'),
                'image'                   => 'SAP-Logo.svg',
                'directive'               => 'sap-hana-tenant', //AngularJS directive
                'state'                   => 'WizardsSapHana',
                'category'                => ['sap', 'linux', 'database'],
                'selected_os'             => null,
                'necessity_of_assignment' => true
            ]
        ];

        return $wizards;
    }

}
